## Replace File Upload

### cURL

```bash
curl --request POST \
  --url https://flows.super.ai/api/integrations/database/{db_id}/upload/replace \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "upload_id": "<string>",
  "delimiter": ",",
  "has_header": true,
  "table_name": "<string>"
}
'```

### Python

```python
import requests

url = "https://flows.super.ai/api/integrations/database/{db_id}/upload/replace"

payload = {
    "upload_id": "<string>",
    "delimiter": ",",
    "has_header": True,
    "table_name": "<string>"
}
headers = {
    "X-API-Key": "<api-key>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```javascript
const options = {
  method: 'POST',
  headers: {
    'X-API-Key': '<api-key>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    upload_id: '<string>',
    delimiter: ',',
    has_header: true,
    table_name: '<string>'
  })
};

fetch('https://flows.super.ai/api/integrations/database/{db_id}/upload/replace', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://flows.super.ai/api/integrations/database/{db_id}/upload/replace",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'upload_id' => '<string>',
    'delimiter' => ',',
    'has_header' => true,
    'table_name' => '<string>'
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json",
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Go

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

url := "https://flows.super.ai/api/integrations/database/{db_id}/upload/replace"

payload := strings.NewReader("{\n  \"upload_id\": \"<string>\",\n  \"delimiter\": \" ,\",\n  \"has_header\": true,\n  \"table_name\": \"<string>\"\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("X-API-Key", "<api-key>")
	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Unirest (Java)

```java
HttpResponse<String> response = Unirest.post("https://flows.super.ai/api/integrations/database/{db_id}/upload/replace")
  .header("X-API-Key", "<api-key>")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"upload_id\": \"<string>\",\n  \"delimiter\": \" ,\",\n  \"has_header\": true,\n  \"table_name\": \"<string>\"}\n")
  .asString();
```

### Ruby

```ruby
require 'uri'
require 'net/http'

url = URI("https://flows.super.ai/api/integrations/database/{db_id}/upload/replace")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"upload_id\": \"<string>\",\n  \"delimiter\": \" ,\",\n  \"has_header\": true,\n  \"table_name\": \"<string>\"}\n"

response = http.request(request)
puts response.read_body
```

### Error Response

```json
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}
```

### Authorizations

#### X-API-Key
- **Type**: string (header) required
- **Description**: API key authentication. Include your API key in the X-API-Key header as: `X-API-Key YOUR_API_KEY`

Example:
```text
X-API-Key: saf_1234567890
```

#### Authorization
- **Type**: string (header) required
- **Description**: JWT Bearer token authentication. Include your access token in the Authorization header as: `Bearer YOUR_ACCESS_TOKEN`

Example:
```text
Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
```

### Path Parameters

- **db_id**: string (required)

### Body
- **application/json**: Request to complete file upload and process the file.

| Parameter     | Type        | Required | Description                       |
|---------------|-------------|----------|-----------------------------------|
| upload_id     | string      | Yes      | Upload identifier from prepare step|
| delimiter      | string      | No       | CSV delimiter character (default: ,)|
| has_header     | boolean     | No       | Whether CSV has header row (default: true)|
| table_name     | string|null | No       | Override table name (optional)   |

### Response

- **200**: application/json, Successful Response

---
